# Asterisk Project : Asterisk 13 Application_ResetCDR

Created by wikibot on Aug 08, 2014

# ResetCDR()

### Synopsis

Resets the Call Data Record.

### Description

This application causes the Call Data Record to be reset. Depending on the flags passed in, this can have several effects. With no options, a reset does the following:

1. The `start` time is set to the current time.

2. If the channel is answered, the `answer` time is set to the current time.

3. All variables are wiped from the CDR. Note that this step can be prevented with the `v` option.

On the other hand, if the `e` option is specified, the effects of the NoCDR application will be lifted. CDRs will be re-enabled for this channel.

Note

Icon

The `e` option is deprecated. Please use the CDR_PROP function instead.

### Syntax

    ResetCDR([options])

##### Arguments

- `options`
  - `v` - Save the CDR variables during the reset.
  - `e` - Enable the CDRs for this channel only (negate effects of NoCDR).

### See Also

- Asterisk 13 Application_ForkCDR
- Asterisk 13 Application_NoCDR
- Asterisk 13 Function_CDR_PROP

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538